# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python2_{6,7} python3_{1,2,3,4,5,6,7} )

inherit python-single-r1

DESCRIPTION="a versatile (cross) toolchain generator"
HOMEPAGE="https://crosstool-ng.github.io"

if [[ "${PV}" = 9999 ]]; then
	EGIT_REPO_URI="https://github.com/crosstool-ng/crosstool-ng.git"
	inherit git-r3
else
	SRC_URI="http://crosstool-ng.org/download/${PN}/${P}.tar.xz"
fi

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="bash-completion nls"

REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND=">=sys-devel/make-3.81
		sys-apps/gawk
		>=app-shells/bash-4
		>=sys-devel/make-4.0
		>=sys-devel/libtool-2.4
		>=sys-devel/autoconf-2.65
		>=sys-devel/m4-1.4.12
		>=sys-devel/bison-2.7
		>=sys-apps/sed-4.0
		sys-libs/ncurses
		net-misc/wget
		${PYTHON_DEPS}"
DEPEND="${RDEPEND}"

src_prepare()
{
	default
	./bootstrap || die "bootstrap script failed"
}

src_configure()
{
	econf  \
		$(use_with bash-completion) \
		$(use_enable nls) \
		--disable-maintainer-mode \
		--disable-dependency-tracking
}
